
QGIS Application - Bug report #16112

Exported SLD size or displacementX/Y are not reimported correctly due to mm/pixel ambiguity

2017-01-25 04:25 AM - Luigi Pirelli

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.14.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24024

Description

1) Take a point layer with symple marker (svg is the same)

2) set mapunit to Pixel or mm or mapUnit

3) export as sld

4) reimport sld => 

    A) Size and displacement are wrongly scaled

    B) if origin is in Pixels or mapUnit t is converted in MM

probably a regression respect fixes on SLD by AAIME that introduced scaling in:

src/core/symbology-ng/qgssymbollayerv2utils.cpp at

QgsSymbolLayerV2Utils::rescaleUom

History

#1 - 2017-01-25 06:40 AM - Luigi Pirelli

confirmed as regression building with head fixed to 26d5c6b484326d12a412068e137f94c0a83147d1 just before aaime commits

#2 - 2017-01-25 06:40 AM - Luigi Pirelli

- Priority changed from High to Severe/Regression

#3 - 2017-01-25 06:43 AM - Luigi Pirelli

the regression is related with change in size or displacement eg. related with rescaleUom. The erroneous conversion from pixels to MM was already

present => not introduced by aaime commits

#4 - 2017-01-25 07:16 AM - Luigi Pirelli

- Priority changed from Severe/Regression to High

#5 - 2017-03-06 02:38 PM - Giovanni Manghi

- Priority changed from High to Normal

Hi Luigi,

if is a regression this must be tagged as "severe", we use "high" for issues causing crashes and data corruption (in first place).

Please change accordingly if necessary, thanks!
#6 - 2017-04-30 11:54 PM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2017-08-24 10:18 AM - Paul van Genuchten

not sure if i hit this issue, but i experience the effect that when exporting to sld and importing it again, the size of symbols, thickness of lines, displacement

of elements is increased by about a factor 3 (on qgis 2.18)

#8 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
